## brltty 4.4

=== debian/changelog ===
brltty (4.4-8ubuntu4) raring; urgency=low

  * Drop explicit build dependency on tcl8.4. LP: #1155269.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2013 11:40:09 -0700

brltty (4.4-8ubuntu3) raring; urgency=low

  * debian/patches/50-fix-socket-leak.patch:: Update to use upstream's
    preferred and further tested fix.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 22 Feb 2013 23:41:55 +0000

brltty (4.4-8ubuntu2) raring; urgency=low

  * debian/patches/50-fix-socket-leak.patch: make sure sockets rae closed
    properly. Thanks to Ryan Lortie for the patch.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 22 Feb 2013 16:10:26 +0000

brltty (4.4-8ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Build for all python versions (python 2.6), not just the current
      version.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Use cython for building python bindings.
    - Build python bindings for python 3.
    - Adjust the brlapi python example in the brlapi.pyx file to work with
      python 3.
    - Remove obsolete config file on upgrade from 4.3 or earlier.
    - Ensure Java bytecode built is compatible with older versions of Java:

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 30 Jan 2013 08:46:30 +1100

brltty (4.4-8) unstable; urgency=low

  * brltty-udeb.sh:
    - Fix typo in path.
    - Kill Xorg instead of debconf to switch back installer from g-i to
    textmode. Also, sleep instead of busy-waiting for Xorg. Closes: #696972.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Dec 2012 00:42:37 +0100

brltty (4.4-7) unstable; urgency=low

  * control: Add >= 8.5~ version to tcl build-depend, as brltty won't build
    with tcl 8.4.
  * patches/30-late-fixes-r6685.patch: Avoid cosmetic change in patch.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Dec 2012 20:41:43 +0100

brltty (4.4-6ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Build for all python versions (python 2.6), not just the current
      version.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Use cython for building python bindings.
    - Build python bindings for python 3.
    - Adjust the brlapi python example in the brlapi.pyx file to work with
      python 3.
    - Remove obsolete config file on upgrade from 4.3 or earlier.
    - Ensure Java bytecode built is compatible with older versions of Java:
      + d/p/41-bytecode-compat.patch: Patch to specify source/target = 1.5
        during build process.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 10 Dec 2012 16:16:03 -0500

brltty (4.4-6) unstable; urgency=low

  * brltty-udeb.prebaseconfig: Enable orca in gnome3 sessions too.
  * patches/30-late-fixes-r6685.patch: New patch to trivially add support for
    EL*c.
  * patches/30-late-fixes-r6777.patch: New patch to trivially add support for
    Focus 14.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Oct 2012 02:42:49 +0200

brltty (4.4-5ubuntu6) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:15:36 +0000

brltty (4.4-5ubuntu5) raring; urgency=low

  * Build-depend on python3-all-dev instead of python3-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Oct 2012 12:53:53 +0200

brltty (4.4-5ubuntu4) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Oct 2012 10:30:36 +0200

brltty (4.4-5ubuntu3) quantal; urgency=low

  * Ensure Java bytecode built is compatible with older versions of Java
    (LP: #1049757):
    - d/p/41-bytecode-compat.patch: Patch to specify source/target = 1.5
      during build process.


