## brltty 4.5

=== debian/changelog ===
brltty (4.5-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Drop explicit build dependency on tcl8.4.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Jun 2013 15:29:50 +1000

brltty (4.5-3) unstable; urgency=low

  * Add python3-brlapi bindings. Thanks Luke for the Ubuntu work.
  * Harmonize some rules with ubuntu packaging.
  * Fix erroneous BRLAPI_DOT_CHORD value due to using awk instead of gawk.
    (Closes: #708595)

  * Merge wheezy changes:
  * As discussed in bug Bug#705599, synchronize with finish-install on the
    method to enable accessibility in the installed system when accessibility
    was enabled in the installer.
  * Also enable sound events at gdm banner.
  * Add xbrlapi.desktop file to gdm session to get braille keyboard input
    working. Closes: #680636.
  * brltty-udeb.sh: Put Xorg killing in background, to avoid getting stuck if
    Xorg is not actually to be started after all (textmode installer). Also
    kill bterm, in case udev detects the braille device after bterm is
    started. Closes: #705196.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Jun 2013 22:15:01 +0200

brltty (4.5-2ubuntu1) saucy; urgency=low

  [ Samuel Thibault ]
  * Fix erroneous BRLAPI_DOT_CHORD value due to using awk instead of gawk.
    (Closes: #708595)

  [ Luke Yelavich ]
  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Build python bindings for python 3.
    - Drop explicit build dependency on tcl8.4.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 31 May 2013 11:44:28 +1000

brltty (4.5-2) unstable; urgency=low

  * Build-Depend on cython instead of python-pxrex.
  * Fix "Ensure backwards compatible Java bytecode is built" by
    applying the proposed patch (Closes: #688127)

 -- Mario Lang <mlang@debian.org>  Thu, 16 May 2013 14:38:06 +0200

brltty (4.5-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Build python bindings for python 3.
    - Ensure Java bytecode built is compatible with older versions of Java
    - Drop explicit build dependency on tcl8.4.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 15 May 2013 07:31:23 +1000

brltty (4.5-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Make libbrlapi-dev Multi-Arch: same.
    - Fix long line in brltty description.
    - Fix libbrlapi-jni section into java.
  * brltty.{pre,post}{inst,rm}: Remove old conffiles. Closes: #704068.
  * Fix stripping xbrlapi.

