=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
 Build-Depends: debhelper (>= 7),
                autotools-dev, autoconf, tcl (>= 8.5~),
                libasound2-dev [linux-any],
+               python-all-dev (>= 2.7~0),
                python3-all-dev,
-               cython, autoconf,
+               cython,
                libgpmg1-dev [linux-any],
                libicu-dev,
                default-jdk [!m68k],
@@ -26,6 +27,7 @@
                pkg-config
 Build-Conflicts: libatspi-dev
 Standards-Version: 3.9.3
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: brltty
@@ -46,6 +48,7 @@
   * BrailComm
   * BrailleLite
   * BrailleNote
+  * Cebra
   * EcoBraille
   * EuroBraille (AzerBraille, Clio, Esys, Iris, NoteBraille, Scriba)
   * Freedom Scientific (Focus and PacMate)
@@ -56,11 +59,12 @@
   * LogText 32
   * MDV
   * Metec (BD-40)
-  * NinePoint (Cebra)
+  * NinePoint
   * Papenmeier
   * Pegasus
   * Seika
-  * Tieman (Voyager, CombiBraille, MiniBraille, MultiBraille, BraillePen/EasyLink)
+  * Tieman (Voyager, CombiBraille, MiniBraille, MultiBraille,
+            BraillePen/EasyLink)
   * Tivomatic (Albatross)
   * TSI (Navigator, PowerBraille)
   * VideoBraille
@@ -69,7 +73,7 @@
  BRLTTY also provides a client/server based infrastructure for applications
  wishing to utilize a Braille display.  The daemon process listens for incoming
  TCP/IP connections on a certain port.  A shared object library for clients is
- provided in the package libbrlapi0.5.  A static library, header files and
+ provided in the package libbrlapi0.6.  A static library, header files and
  documentation is provided in package libbrlapi-dev.  Bindings to other
  programming languages can be found in libbrlapi-java (Java) and
  python3-brlapi (Python).
@@ -82,7 +86,7 @@
 Description: debugging symbols for brltty
  This package contains the debugging symbols for BRLTTY.
 
-Package: libbrlapi0.5
+Package: libbrlapi0.6
 Architecture: any
 Multi-arch: same
 Section: libs
@@ -96,14 +100,15 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, libbrlapi0.5 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libbrlapi0.6 (= ${binary:Version})
 Description: braille display access via BRLTTY - shared library debugging symbols
  This package contains the debugging symbols for the brlapi shared library.
 
 Package: libbrlapi-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libbrlapi0.5 (= ${binary:Version}), ${misc:Depends}
+Depends: libbrlapi0.6 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libbrlapi1-dev (<< 3.8)
 Description: Library for communication with BRLTTY - static libs and headers
  This package contains the static library libbrlapi.a and header files
@@ -112,7 +117,7 @@
 
 Package: libbrlapi-jni
 Architecture: any
-Section: libs
+Section: java
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Java bindings for BrlAPI (native library)
  This package provides the architecture-dependant files required to
@@ -191,10 +196,16 @@
  This package provides xbrlapi, a brltty X11 helper which handles proper
  keyboard simulation and window selection.
 
+Package: python-brlapi
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Description: Python bindings for BrlAPI
+ This package provides a Python module to access a braille display.
+
 Package: python3-brlapi
 Architecture: any
 Section: python
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Description: Python bindings for BrlAPI
- This package provides a Python module to access a braille display.
-
+Description: Python3 bindings for BrlAPI
+ This package provides a Python 3 module to access a braille display.
