=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,14 @@
 DISABLE_JAVA_SUPPORT=1
 endif
 
-CONFIGURE_OPTIONS = --without-viavoice --without-theta --without-swift
+PYDEFAULTVER := $(shell pyversions --default --version)
+PYVERS := $(shell pyversions --requested --version debian/control)
+PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)
+
+CONFIGURE_OPTIONS = --bindir=/sbin --mandir=/usr/share/man \
+		    --without-viavoice --without-theta --without-swift
+
+DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping
 
 DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
@@ -21,13 +28,10 @@
 	contracted-braille api pm-configfile gpm iconv icu x
 UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
 	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
-	--without-init-path --without-curses $(CONFIGURE_OPTIONS) \
+	--without-init-path --without-curses \
 	$(patsubst %,--disable-%,$(UDEB_DISABLE))
 UDEB_FILENAME=$(PACKAGE)-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
 PRIORITY=$(shell grep '^Package: brltty-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)
-
-PYVERS := $(shell py3versions -vr)
-PYOTHERS:= $(filter-out $(shell py3versions -vd), $(PYVERS))
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 CONFIGURE_OPTIONS+=--without-usb-package
@@ -63,32 +67,28 @@
 config: build-brltty/config.status
 build-brltty/config.status: configure acdir/config.sub acdir/config.guess
 	mkdir build-brltty
-	cd build-brltty && CFLAGS="$(DEB_CFLAGS)" ../configure --bindir=/sbin --mandir=/usr/share/man \
-		--with-curses=ncursesw --disable-stripping \
-		$(CONFIGURE_OPTIONS)
-
-build-otherpy: $(PYOTHERS:%=build-py%-stamp)
-build-py%-stamp:
+	cd build-brltty && ../configure --disable-python-bindings \
+		$(CONFIGURE_OPTIONS) \
+		$(DEB_CONFIGURE_OPTIONS)
+
+config-python: $(PYVERS:%=build-py%/config.status)
+build-py%/config.status:
 	mkdir -p build-py$*
-	cd build-py$* && PYTHON=python$* CFLAGS="$(DEB_CFLAGS)" ../configure --bindir=/sbin --mandir=/usr/share/man \
-		--without-viavoice --without-theta --without-swift
-	$(MAKE) -C build-py$*/Bindings/Python \
-		PYTHON=/usr/bin/python$* \
-		PYTHON_VERSION=$* \
-		PYTHON_CPPFLAGS='-I/usr/include/python$*' \
-		PYTHON_LIBS='-L/usr/lib/python$*/config -lpython$*' \
-		PYTHON_SITE_PKG=$(call py_libdir,$*)
-	touch $@
+	cd build-py$* && \
+	PYTHON=/usr/bin/python$* ../configure \
+		$(CONFIGURE_OPTIONS) \
+		$(DEB_CONFIGURE_OPTIONS)
 
 config-udeb: build-brltty-udeb/config.status
 build-brltty-udeb/config.status: configure acdir/config.sub acdir/config.guess
 	mkdir build-brltty-udeb
 	cd build-brltty-udeb && \
-	CFLAGS="$(UDEB_CFLAGS)" ../configure --bindir=/sbin \
+	CFLAGS="$(UDEB_CFLAGS)" ../configure \
+		$(CONFIGURE_OPTIONS) \
 		$(UDEB_CONFIGURE_OPTIONS)
 
 build-arch: build-brltty build-udeb
-build-indep: build-arch build-otherpy
+build-indep: build-arch build-python
 build: build-indep build-arch
 
 build-brltty: build-stamp
@@ -97,6 +97,14 @@
 
 	DEB_BUILD_HARDENING=1 $(MAKE) -C build-brltty
 	$(MAKE) -C build-brltty/Documents
+
+	touch $@
+
+build-python: config-python $(PYVERS:%=build-py%-stamp)
+build-py%-stamp: config-python
+	dh_testdir
+
+	DEB_BUILD_HARDENING=1 $(MAKE) -C build-py$*/Bindings/Python
 
 	touch $@
 
@@ -115,21 +123,19 @@
 # Build architecture-dependent files here.
 binary-arch: brltty brltty-udeb
 
-brltty: build-brltty build-otherpy
+brltty: build-brltty build-python
 	dh_testdir
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
 
 	$(MAKE) -C build-brltty install INSTALL_ROOT=`pwd`/debian/tmp
-	for pv in $(PYOTHERS); do \
-	  $(MAKE) -C build-py$$pv/Bindings/Python install \
-	    INSTALL_ROOT=`pwd`/debian/tmp \
-	    PYTHON=/usr/bin/python$$pv; \
+	set -e ; for pyver in $(PYVERS); do \
+		$(MAKE) -C build-py$$pyver/Bindings/Python install INSTALL_ROOT=`pwd`/debian/tmp ; \
 	done
 
-	mkdir `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
-	mkdir `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv `pwd`/debian/tmp/lib/libbrlapi* `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
 	mv `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.a `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	$(MAKE) -C build-brltty/Messages install INSTALL_ROOT=`pwd`/debian/tmp
@@ -147,6 +153,7 @@
 	dh_installchangelogs Documents/ChangeLog
 	dh_installman
 	dh_lintian
+	dh_python2 -ppython-brlapi
 	dh_python3 -ppython3-brlapi
 	mv debian/brltty/lib/brltty/libbrlttysfl.so \
 		debian/brltty-flite/lib/brltty
@@ -168,10 +175,10 @@
 	chmod 0644 debian/libbrlapi-java/usr/share/java/brlapi.jar
 endif
 	cp build-brltty/Documents/brltty.conf debian/brltty/etc/brltty.conf
-	dh_link -p$@ -plibbrlapi0.5 -plibbrlapi-dev
+	dh_link -p$@ -plibbrlapi0.6 -plibbrlapi-dev
 	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
-	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 --dbg-package=$@-dbg
-	dh_strip -plibbrlapi0.5 -ppython3-brlapi -plibbrlapi-jni --dbg-package=libbrlapi-dbg
+	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --dbg-package=$@-dbg
+	dh_strip -plibbrlapi0.6 -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --dbg-package=libbrlapi-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -n -p$@
@@ -225,4 +232,3 @@
 	grep Depends: debian/brltty-udeb/DEBIAN/control | perl -ne 'map {unless (/-udeb/) {print $$_; exit 1}} split /,/'
 	dh_builddeb -p$@
 
-.PHONY: brltty brltty-udeb build build-indep build-arch build-brltty build-udeb clean binary-indep binary-arch binary
