=== debian/watch ===
version=3
http://mielke.cc/brltty/releases/ brltty-([0-9.]+)\.tar\.gz debian uupdate
